
package com.tmerclub.cloud.order.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 退款支付结算单据VO
 *
 * @author tmerclub
 * @date 2020-12-05 14:13:50
 */
public class OrderRefundSettlementVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "退款结算单据id")
    private Long settlementId;

    @Schema(description = "订单支付单号")
    private Long payId;

    @Schema(description = "订单编号")
    private Long orderId;

    @Schema(description = "退款单编号（本系统退款单号）")
    private Long refundId;

    @Schema(description = "用户ID")
    private Long userId;

    @Schema(description = "微信/支付宝退款单号（支付平台退款单号）")
    private String bizRefundNo;

    @Schema(description = "支付方式(1:微信支付 2支付宝支付)")
    private Integer payType;

    @Schema(description = "退款状态(1:申请中 2：已完成 -1失败)")
    private Integer refundStatus;

    @Schema(description = "退款金额")
    private Long refundAmount;

    @Schema(description = "订单总额")
    private Long orderTotalAmount;

    @Schema(description = "版本号")
    private Integer version;

    public Long getSettlementId() {
        return settlementId;
    }

    public void setSettlementId(Long settlementId) {
        this.settlementId = settlementId;
    }

    public Long getPayId() {
        return payId;
    }

    public void setPayId(Long payId) {
        this.payId = payId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getRefundId() {
        return refundId;
    }

    public void setRefundId(Long refundId) {
        this.refundId = refundId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getBizRefundNo() {
        return bizRefundNo;
    }

    public void setBizRefundNo(String bizRefundNo) {
        this.bizRefundNo = bizRefundNo;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(Integer refundStatus) {
        this.refundStatus = refundStatus;
    }

    public Long getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(Long refundAmount) {
        this.refundAmount = refundAmount;
    }

    public Long getOrderTotalAmount() {
        return orderTotalAmount;
    }

    public void setOrderTotalAmount(Long orderTotalAmount) {
        this.orderTotalAmount = orderTotalAmount;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    @Override
    public String toString() {
        return "OrderRefundSettlementVO{" +
                "settlementId=" + settlementId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",payId=" + payId +
                ",orderId=" + orderId +
                ",refundId=" + refundId +
                ",userId=" + userId +
                ",bizRefundNo=" + bizRefundNo +
                ",payType=" + payType +
                ",refundStatus=" + refundStatus +
                ",refundAmount=" + refundAmount +
                ",orderTotalAmount=" + orderTotalAmount +
                ",version=" + version +
                '}';
    }
}
